.acceptance {
  @include size(100%);

  &__wrapper {
    @include size(100%);
    margin: 0 auto;
    background-color: $white;
    border: 1px solid $border;
    border-radius: 5px;
  }

  &__header {
    @include size(100%);
    padding: 30px 40px;
    border-bottom: 1px solid $border;

    &-title {
      @include font(14px, 700, 1.43, .5px);
      color: $titleColor;
      text-transform: uppercase;
    }
  }

  &__content {
    @include size(100%);
    @include flex(flex, row, nowrap);
    border-bottom: 1px solid $border;

    .multiselect {
      min-height: 45px;
      margin: 0 0 40px;

      &__tags {
        min-height: 45px;
      }
    }

    &-locked {
      @include position(relative, $c: null);
      opacity: .3;

      &:after {
        content: '';
        display: block;
        @include position(absolute, $c: (top: 0, left: 0, right: 0, bottom: 0));
      }
    }

    &-column {

    }

    &-left {
      @include size(calc(100% - 430px));
      //padding: 30px 40px 40px;
    }

    &-right {
      @include size(430px);
      padding: 55px 60px 40px;
      border-left: 1px solid $border;
    }

    &-select-title {
      margin: 0 0 15px;
      @include font(15px, 400, 1.33);
      color: #898989;
    }

    &-input {
      @include size(100%, 45px !important);
      padding: 12px 20px 13px;
      margin: 0 0 20px;
      @include font(15px, 300, 1.33);
      color: #898989;

      &-cvc {
        padding: 12px 65px 13px 20px;
      }
    }

    &-date-cvc {
      @include flex(flex, row, nowrap);
      justify-content: space-between;
    }

    &-date {
      @include size(calc(50% - 10px));
    }

    &-cvc {
      @include size(calc(50% - 10px));
    }

    &-info-wrapper {
      @include position(relative, $c: null);
    }

    &-info {
      @include position(absolute, $c: (top: 0, right: 0));
      @include size(45px, 45px);
      @include flex(flex, row, nowrap);
      align-items: center;
      justify-content: center;
    }

    &-info-button {
      fill: $titleColor
    }
  }

  &__footer {
    @include size(100%);
    @include flex(flex, row, nowrap);
    align-items: center;
    justify-content: space-between;
    padding: 25px 40px;

    &-icons {
      @include size(auto, 40px);
      @include flex(flex, row, nowrap);

      &-icon {
        margin: 0 30px 0 0;
        fill: #c5c4c4;

        &:last-child {
          margin: 0;
        }
      }
    }

    &-secure {
      @include flex(flex, row, nowrap);

      &-icon {
        fill: $securityGrreen;
        margin: 0 10px 0 0;
      }

      &-title {
        margin: 0;
        @include font(14px, 400, 1.43);
        color: $securityGrreen;
      }
    }
  }

  &__card {
    @include size(310px, 200px);
    margin: 0 0 40px;
    border-radius: 10px;
    transition: all .5s ease;
    box-shadow: 0 2px 4px 0 rgba(224, 224, 224, .5);

    &-wrapper {
      @include size(100%, 100%);
      @include position(relative, $c: null);
      padding: 25px;
    }

    &-colored {
      background-color: #f8f8f8;
    }

    &-icon {
      @include size(null, 30px);
      min-width: 46px;
      @include position(absolute, $c: (top: 25px, right: 25px));
      background-color: #f8f8f8;
    }

    &-number {
      @include size(46px, 30px);
      @include font(20px, 500, 1.5);
      color: $titleColor;
      background-color: #f8f8f8;
      border-radius: 5px;

      &-1 {
        @include position(absolute, $c: (top: 80px, left: 25px));
        @extend .acceptance__card-number;
      }

      &-2 {
        @include position(absolute, $c: (top: 80px, left: 80px));
        @extend .acceptance__card-number;
      }

      &-3 {
        @include position(absolute, $c: (top: 80px, left: 135px));
        @extend .acceptance__card-number;
      }

      &-4 {
        @include position(absolute, $c: (top: 80px, left: 190px));
        @extend .acceptance__card-number;
      }
    }

    &-name {
      @include position(absolute, $c: (top: 155px, left: 25px));
      @include size(172px, 20px);
      background-color: #f8f8f8;
      border-radius: 5px;
      text-transform: uppercase;
      @include font(14px, 500, 1.43);
      color: $titleColor;
    }

    &-cvc {
      @include position(absolute, $c: (top: 155px, right: 25px));
      @include size(40px, 20px);
      background-color: #f8f8f8;
      border-radius: 5px;
      text-transform: uppercase;
      @include font(14px, 500, 1.43, .5px);
      color: $titleColor;
    }
  }

  &__sub-card {
    &-title {
      @include size(100%);
      margin: 0 0 26px;
      @include font(14px, 300, 1.43);
      color: $titleColor;
      text-align: center;
    }

    &-button {
      @include size(100%, 45px);
      margin: 0 0 25px;
      @include font(14px, 700, 1.43, .5px);
      text-align: center;
    }
  }

  &__cvc-info {
    @include position(absolute, $c: (top: 0, left: 100%));
    z-index: 1;
    @include size(290px, 190px);
    margin: 0 10px;
    border-radius: 5px;
    box-shadow: 0 0 8px 0 #c5c4c4;
    background-color: #ffffff;

    &-wrapper {
      @include size(100%, 100%);
      padding: 20px;
    }

    &-p {
      @include font(13px, 300, 1.54);
      margin: 0;
    }
  }

  &__underside-card {
    @include size(127px, 75px);
    border-radius: 3px;
    background-color: #f8f8f8;
    padding: 6px 0 0;
    border: 1px solid $border;
    margin: 0 0 15px;

    &-magnetic-line {
      @include size(100%, 19px);
      margin: 0 0 3px;
      background-color: #c5c4c4;
    }

    &-cvc-line {
      @include size(100%, 16px);
      @include flex(flex, row, nowrap);
      align-items: center;
      justify-content: flex-end;
      padding: 2px 10px 0;
      border-top: 1px solid $border;
      border-bottom: 1px solid $border;
      background-color: $white;
      @include font(11px, 500, 1.36, .5px);
      color: $titleColor;
    }
  }

  &__check {
    &-bank-mini-icon {
      margin: 0 20px 0 0;
      border-radius: 5px;
      box-shadow: 0 2px 4px 0 rgba(197, 196, 196, .5);
    }

    &-card-bank-number {
      @include flex(flex, row, nowrap);
      margin: 0 0 40px;
    }

    &-bank {
      margin: 0 0 5px;
      @include font(15px, 500, 1.33);
      color: $titleColor;
    }

    &-card {
      margin: 0;
    }

    &-number {
      margin: 0;
    }

    &-title {
      margin: 0 0 15px;
      @include font(15px, 400, 1.33);
      color: #898989;
    }

    &-input {
      @include size(100%, 45px);
      padding: 12px 20px 13px;
      margin: 0 0 30px;
    }

    &-description {
      margin: 0 0 45px;
      @include font(14px, 300, 1.43);
      color: $titleColor;
      text-align: center;
    }

    &-button {
      @include size(100%, 45px);
      margin: 0 0 10px !important;
      @include font(14px, 700, 1.43, .5px);
      text-align: center;
      text-transform: uppercase;

      &-link {
        @include font(14px, 400, 1.43);
        color: $blue !important;
        border: none !important;
        text-transform: uppercase;

        &:hover {
          color: $blueHover !important;
        }
      }

      &:last-child {
        margin: 0 !important;
      }
    }
  }
}

@media #{$laptop} {
  .acceptance {
    &__header {
    }

    &__content {
      &-column {
      }

      &-left {
        @include size(100%);
      }

      &-right {
        @include size(100%);
        padding: 65px 40px 40px;
      }
    }

    &__check-card-bank-number {
      margin: 0 0 30px;
    }

    &__check-description {
      margin: 0 0 65px;
    }

    &__footer {
      @include flex(null, null, wrap);
      justify-content: space-around;

      &-icons {
        @include size(100%, auto);
        @include flex(null, null, wrap);
        justify-content: space-around;

        &-icon {
          @include size(85px !important);
          margin: 0 0 30px;
        }
      }
    }

    &__mobile {
      &-button {
        @include size(100%, 45px);
        @include font(14px, 700, 1.43, .5px);
        margin: 20px 0 25px !important;
      }
    }
  }
}

@media #{$tablet} {
  .acceptance {
    margin: 0 0 20px;

    &__header {
      padding: 20px;
    }

    &__content {
      &-column {
        padding: 20px;
      }

      &-left {
        @include size(100%);
      }

      &-right {
        @include size(100%);
      }

      &-date-cvc {
        @include flex(null, null, wrap);
        justify-content: flex-start;
      }

      &-date {
        @include size(180px)
      }

      &-cvc {
        @include size(180px)
      }
    }

    &__check-card-bank-number {
      margin: 0 0 30px;
    }

    &__footer {
      @include flex(null, null, wrap);
      justify-content: space-around;
      padding: 20px;

      &-icons {
        @include size(100%, auto);
        @include flex(null, null, wrap);
        justify-content: space-around;

        &-icon {
          @include size(85px !important);
          margin: 0 0 30px;
        }
      }
    }

    &__mobile {
      &-button {
        @include size(100%, 45px);
        @include font(14px, 700, 1.43, .5px);
        margin: 20px 0 25px !important;
      }
    }
  }
}

@media #{$mobile} {
  .acceptance {
    margin: 0 0 20px;

    &__header {
      padding: 20px;
    }

    &__content {
      &-column {
        padding: 20px;
      }

      &-left {
        @include size(100%);
      }

      &-right {
        @include size(100%);
      }

      &-date-cvc {
        @include flex(null, null, wrap);
        justify-content: flex-start;
      }

      &-date {
        @include size(180px)
      }

      &-cvc {
        @include size(180px)
      }
    }

    &__check-card-bank-number {
      margin: 0 0 30px;
    }

    &__footer {
      @include flex(null, null, wrap);
      justify-content: space-around;
      padding: 20px;

      &-icons {
        @include size(100%, auto);
        @include flex(null, null, wrap);
        justify-content: space-around;

        &-icon {
          @include size(85px !important);
          margin: 0 0 30px;
        }
      }
    }

    &__mobile {
      &-button {
        @include size(100%, 45px);
        @include font(14px, 700, 1.43, .5px);
        margin: 20px 0 25px !important;
      }
    }
  }
}
